Skip to content

Get Schema by Name

Endpoint: GET /api/schema/{name}

Retrieves the latest version of a schema definition by its name.

Path parameters

Parameter Description Type Required/ Optional
name The name of the schema to retrieve. string Required.

Response

Returns a schema object containing the latest version of the specified schema. Returns 404 if an invalid schema name is provided.

Examples

Get the latest version of a schema

Request

curl -X 'GET' \
  'https://<YOUR-SERVER-URL>/api/schema/FeedbackSchema' \
  -H 'accept: application/json' \
  -H 'X-Authorization: <TOKEN>'

Response

{
  "createTime": 1767678326224,
  "updateTime": 1767678326224,
  "createdBy": "john.doe@acme.com",
  "updatedBy": "john.doe@acme.com",
  "name": "FeedbackSchema",
  "version": 1,
  "type": "JSON",
  "data": {
    "$schema": "http://json-schema.org/draft-07/schema",
    "type": "object",
    "properties": {
      "rating": {
        "type": "integer",
        "minimum": 1,
        "maximum": 5
      },
      "comment": {
        "type": "string"
      }
    },
    "required": [
      "rating",
      "comment"
    ]
  }
}